diff --git a/dirsrvtests/tests/tickets/ticket47980_test.py b/dirsrvtests/tests/tickets/ticket47980_test.py
index 6b6b5bf..09cbe2f 100644
--- a/dirsrvtests/tests/tickets/ticket47980_test.py
+++ b/dirsrvtests/tests/tickets/ticket47980_test.py
@@ -638,25 +638,8 @@ def test_ticket47980(topology):
         assert False
 
 
-def test_ticket47980_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation_prefix
-    installation_prefix = None
-
-    topo = topology(True)
-    test_ticket47980(topo)
-    test_ticket47980_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket47981_test.py b/dirsrvtests/tests/tickets/ticket47981_test.py
index 0fcf51e..fbd19d5 100644
--- a/dirsrvtests/tests/tickets/ticket47981_test.py
+++ b/dirsrvtests/tests/tickets/ticket47981_test.py
@@ -271,25 +271,8 @@ def test_ticket47981(topology):
         assert False
 
 
-def test_ticket47981_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation_prefix
-    installation_prefix = None
-
-    topo = topology(True)
-    test_ticket47981(topo)
-    test_ticket47981_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket47988_test.py b/dirsrvtests/tests/tickets/ticket47988_test.py
index 45abba6..c9835c3 100644
--- a/dirsrvtests/tests/tickets/ticket47988_test.py
+++ b/dirsrvtests/tests/tickets/ticket47988_test.py
@@ -474,33 +474,8 @@ def test_ticket47988_6(topology):
     assert (master2_schema_csn)
 
 
-def test_ticket47988_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation1_prefix
-    global installation2_prefix
-    installation1_prefix = None
-    installation2_prefix = None
-
-    topo = topology(True)
-    test_ticket47988_init(topo)
-    test_ticket47988_1(topo)
-    test_ticket47988_2(topo)
-    test_ticket47988_3(topo)
-    test_ticket47988_4(topo)
-    test_ticket47988_5(topo)
-    test_ticket47988_6(topo)
-    test_ticket47988_final(topo)
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48005_test.py b/dirsrvtests/tests/tickets/ticket48005_test.py
index 116b1e9..5fde541 100644
--- a/dirsrvtests/tests/tickets/ticket48005_test.py
+++ b/dirsrvtests/tests/tickets/ticket48005_test.py
@@ -7,14 +7,12 @@
 # --- END COPYRIGHT BLOCK ---
 #
 import os
-import sys
 import time
 import ldap
 import logging
 import pytest
 import re
-from lib389 import DirSrv, Entry, tools, tasks
-from lib389.tools import DirSrvTools
+from lib389 import DirSrv, Entry
 from lib389._constants import *
 from lib389.properties import *
 from lib389.tasks import *
@@ -24,6 +22,7 @@ log = logging.getLogger(__name__)
 
 installation1_prefix = None
 
+
 class TopologyStandalone(object):
     def __init__(self, standalone):
         standalone.open()
@@ -392,24 +391,8 @@ def test_ticket48005_schemareload(topology):
     log.info("Ticket 48005 schema reload test complete")
 
 
-def test_ticket48005_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_ticket48005_setup(topo)
-    test_ticket48005_memberof(topo)
-    test_ticket48005_automember(topo)
-    test_ticket48005_syntaxvalidate(topo)
-    test_ticket48005_usn(topo)
-    test_ticket48005_schemareload(topo)
-    test_ticket48005_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48013_test.py b/dirsrvtests/tests/tickets/ticket48013_test.py
index b6fe22e..12bfa32 100644
--- a/dirsrvtests/tests/tickets/ticket48013_test.py
+++ b/dirsrvtests/tests/tickets/ticket48013_test.py
@@ -7,18 +7,14 @@
 # --- END COPYRIGHT BLOCK ---
 #
 import os
-import sys
 import time
 import ldap
 import logging
 import pytest
-import pyasn1
-import pyasn1_modules
-import ldap,ldapurl
+import ldapurl
 from ldap.ldapobject import SimpleLDAPObject
 from ldap.syncrepl import SyncreplConsumer
-from lib389 import DirSrv, Entry, tools, tasks
-from lib389.tools import DirSrvTools
+from lib389 import DirSrv
 from lib389._constants import *
 from lib389.properties import *
 from lib389.tasks import *
@@ -125,19 +121,8 @@ def test_ticket48013(topology):
     log.info('Test complete')
 
 
-def test_ticket48013_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_ticket48013(topo)
-    test_ticket48013_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48026_test.py b/dirsrvtests/tests/tickets/ticket48026_test.py
index 2f411aa..730e94b 100644
--- a/dirsrvtests/tests/tickets/ticket48026_test.py
+++ b/dirsrvtests/tests/tickets/ticket48026_test.py
@@ -7,13 +7,11 @@
 # --- END COPYRIGHT BLOCK ---
 #
 import os
-import sys
 import time
 import ldap
 import logging
 import pytest
-from lib389 import DirSrv, Entry, tools, tasks
-from lib389.tools import DirSrvTools
+from lib389 import DirSrv, Entry
 from lib389._constants import *
 from lib389.properties import *
 from lib389.tasks import *
@@ -150,19 +148,8 @@ def test_ticket48026(topology):
     log.info('Test complete')
 
 
-def test_ticket48026_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_ticket48026(topo)
-    test_ticket48026_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48170_test.py b/dirsrvtests/tests/tickets/ticket48170_test.py
index 2261c11..3ffa964 100644
--- a/dirsrvtests/tests/tickets/ticket48170_test.py
+++ b/dirsrvtests/tests/tickets/ticket48170_test.py
@@ -78,19 +78,8 @@ def test_ticket48170(topology):
     log.info('Test complete')
 
 
-def test_ticket48170_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_ticket48170(topo)
-    test_ticket48170_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48194_test.py b/dirsrvtests/tests/tickets/ticket48194_test.py
index 453a794..897f4d0 100644
--- a/dirsrvtests/tests/tickets/ticket48194_test.py
+++ b/dirsrvtests/tests/tickets/ticket48194_test.py
@@ -459,10 +459,6 @@ def my_test_run_11(topology):
     connectWithOpenssl(topology, 'AES256-SHA256', False)
 
 
-def my_test_final(topology):
-    log.info('Testcase PASSED')
-
-
 def test_ticket48194(topology):
     '''
     run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
@@ -471,7 +467,6 @@ def test_ticket48194(topology):
       - set the installation prefix
       - run this program
     '''
-
     my_test_init(topology)
     my_test_run_0(topology)
     my_test_run_1(topology)
@@ -485,7 +480,6 @@ def test_ticket48194(topology):
     my_test_run_9(topology)
     my_test_run_10(topology)
     my_test_run_11(topology)
-    my_test_final(topology)
 
 if __name__ == '__main__':
     # Run isolated
diff --git a/dirsrvtests/tests/tickets/ticket48214_test.py b/dirsrvtests/tests/tickets/ticket48214_test.py
index 8c8bf40..7fc4bab 100644
--- a/dirsrvtests/tests/tickets/ticket48214_test.py
+++ b/dirsrvtests/tests/tickets/ticket48214_test.py
@@ -18,6 +18,7 @@ installation_prefix = None
 MYSUFFIX = 'dc=example,dc=com'
 MYSUFFIXBE = 'userRoot'
 
+
 class TopologyStandalone(object):
     def __init__(self, standalone):
         standalone.open()
@@ -146,27 +147,8 @@ def test_ticket48214_run(topology):
     topology.standalone.log.info("ticket48214 was successfully verified.")
 
 
-def test_ticket48214_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation_prefix
-    installation_prefix = None
-
-    topo = topology(True)
-    test_ticket48214_run(topo)
-
-    test_ticket48214_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48226_test.py b/dirsrvtests/tests/tickets/ticket48226_test.py
index 9f96d8a..939121b 100644
--- a/dirsrvtests/tests/tickets/ticket48226_test.py
+++ b/dirsrvtests/tests/tickets/ticket48226_test.py
@@ -187,7 +187,7 @@ def test_ticket48226_1(topology):
     valgrind_enable(sbin_dir)
 
     # start M2 to do the next updates
-    topology.master2.start(60)
+    topology.master2.start()
 
     # ADD 'description' by '5'
     mods = [(ldap.MOD_DELETE, 'description', '5')]
diff --git a/dirsrvtests/tests/tickets/ticket48228_test.py b/dirsrvtests/tests/tickets/ticket48228_test.py
index f820cbe..d8f9334 100644
--- a/dirsrvtests/tests/tickets/ticket48228_test.py
+++ b/dirsrvtests/tests/tickets/ticket48228_test.py
@@ -306,31 +306,8 @@ def test_ticket48228_test_subtree_policy(topology):
     log.info("Subtree level policy was successfully verified.")
 
 
-def test_ticket48228_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation_prefix
-    installation_prefix = None
-
-    topo = topology(True)
-    log.info('Testing Ticket 48228 - wrong password check if passwordInHistory is decreased')
-
-    test_ticket48228_test_global_policy(topo)
-
-    test_ticket48228_test_subtree_policy(topo)
-
-    test_ticket48228_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48252_test.py b/dirsrvtests/tests/tickets/ticket48252_test.py
index 2c4eeab..44978fd 100644
--- a/dirsrvtests/tests/tickets/ticket48252_test.py
+++ b/dirsrvtests/tests/tickets/ticket48252_test.py
@@ -26,6 +26,7 @@ installation_prefix = None
 USER_NUM = 10
 TEST_USER = "test_user"
 
+
 class TopologyStandalone(object):
     def __init__(self, standalone):
         standalone.open()
@@ -154,32 +155,8 @@ def test_ticket48252_run_1(topology):
     log.info('Case 2 - PASSED')
 
 
-def test_ticket48252_final(topology):
-    log.info('Testing Ticket 48252 - PASSED.')
-
-
-def run_isolated():
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation_prefix
-    installation_prefix = None
-
-    topo = topology(True)
-    log.info('Testing Ticket 48252 - db2index creates index entry from deleted records')
-
-    test_ticket48252_setup(topo)
-
-    test_ticket48252_run_0(topo)
-    test_ticket48252_run_1(topo)
-
-    test_ticket48252_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48265_test.py b/dirsrvtests/tests/tickets/ticket48265_test.py
index 9bfa34d..d255f33 100644
--- a/dirsrvtests/tests/tickets/ticket48265_test.py
+++ b/dirsrvtests/tests/tickets/ticket48265_test.py
@@ -6,15 +6,11 @@
 # See LICENSE for details.
 # --- END COPYRIGHT BLOCK ---
 #
-import os
-import sys
 import time
 import ldap
 import logging
 import pytest
-import threading
-from lib389 import DirSrv, Entry, tools, tasks
-from lib389.tools import DirSrvTools
+from lib389 import DirSrv, Entry
 from lib389._constants import *
 from lib389.properties import *
 from lib389.tasks import *
@@ -28,6 +24,7 @@ installation1_prefix = None
 USER_NUM = 20
 TEST_USER = 'test_user'
 
+
 class TopologyStandalone(object):
     def __init__(self, standalone):
         standalone.open()
@@ -106,28 +103,8 @@ def test_ticket48265_test(topology):
     log.info('Test 48265 complete\n')
 
 
-def test_ticket48265_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-              - edit this file and comment '@pytest.fixture' line before 'topology' function.
-             - set the installation prefix
-            - run this program
-    '''
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    log.info('Testing Ticket 48265 - Complex filter in a search request does not work as expected')
-
-    test_ticket48265_test(topo)
-
-    test_ticket48265_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48266_test.py b/dirsrvtests/tests/tickets/ticket48266_test.py
index e509e14..82571e9 100644
--- a/dirsrvtests/tests/tickets/ticket48266_test.py
+++ b/dirsrvtests/tests/tickets/ticket48266_test.py
@@ -4,8 +4,7 @@ import time
 import ldap
 import logging
 import pytest
-from lib389 import DirSrv, Entry, tools, tasks
-from lib389.tools import DirSrvTools
+from lib389 import DirSrv, Entry
 from lib389._constants import *
 from lib389.properties import *
 from lib389.tasks import *
@@ -16,8 +15,9 @@ log = logging.getLogger(__name__)
 
 installation1_prefix = None
 
-NEW_ACCOUNT    = "new_account"
-MAX_ACCOUNTS   = 20
+NEW_ACCOUNT = "new_account"
+MAX_ACCOUNTS = 20
+
 
 class TopologyReplication(object):
     def __init__(self, master1, master2):
diff --git a/dirsrvtests/tests/tickets/ticket48270_test.py b/dirsrvtests/tests/tickets/ticket48270_test.py
index 78b357d..0eeeed4 100644
--- a/dirsrvtests/tests/tickets/ticket48270_test.py
+++ b/dirsrvtests/tests/tickets/ticket48270_test.py
@@ -54,11 +54,9 @@ def topology(request):
         standalone.delete()
     request.addfinalizer(fin)
 
-    # Clear out the tmp dir
-    standalone.clearTmpDir(__file__)
-
     return TopologyStandalone(standalone)
 
+
 def test_ticket48270_init(topology):
     log.info("Initialization: add dummy entries for the tests")
     for cpt in range(MAX_ACCOUNTS):
@@ -148,24 +146,8 @@ def test_ticket48270_extensible_search(topology):
     ent = topology.standalone.getEntry(name, ldap.SCOPE_BASE, "(homeDirectory:caseIgnoreIA5Match:=%s)" % LOWER_VALUE)
 
 
-def test_ticket48270(topology):
-    """Write your testcase here...
-
-    Also, if you need any testcase initialization,
-    please, write additional fixture for that(include finalizer).
-    """
-
-    log.info('Test complete')
-
-
 if __name__ == '__main__':
     # Run isolated
     # -s for DEBUG mode
-    topo = topology(True)
-    test_ticket48270_init(topo)
-    test_ticket48270_homeDirectory_indexed_cis(topo)
-    test_ticket48270_homeDirectory_mixed_value(topo)
-    test_ticket48270_extensible_search(topo)
-
-#     CURRENT_FILE = os.path.realpath(__file__)
-#     pytest.main("-s %s" % CURRENT_FILE)
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48294_test.py b/dirsrvtests/tests/tickets/ticket48294_test.py
index ddb71bc..3cb912f 100644
--- a/dirsrvtests/tests/tickets/ticket48294_test.py
+++ b/dirsrvtests/tests/tickets/ticket48294_test.py
@@ -29,6 +29,7 @@ OU_PEOPLE = 'ou=People,' + DEFAULT_SUFFIX
 LINKTYPE = 'directReport'
 MANAGEDTYPE = 'manager'
 
+
 class TopologyStandalone(object):
     def __init__(self, standalone):
         standalone.open()
@@ -260,32 +261,8 @@ def _48294_run_2(topology):
     log.info('PASSED')
 
 
-def _48294_final(topology):
-    log.info('All PASSED')
-
-
-def test_ticket48294(topology):
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation_prefix
-    installation_prefix = None
-
-    _48294_init(topology)
-
-    _48294_run_0(topology)
-    _48294_run_1(topology)
-    _48294_run_2(topology)
-
-    _48294_final(topology)
-
 if __name__ == '__main__':
     # Run isolated
     # -s for DEBUG mode
-
     CURRENT_FILE = os.path.realpath(__file__)
     pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48295_test.py b/dirsrvtests/tests/tickets/ticket48295_test.py
index bcc8879..4c7719d 100644
--- a/dirsrvtests/tests/tickets/ticket48295_test.py
+++ b/dirsrvtests/tests/tickets/ticket48295_test.py
@@ -29,6 +29,7 @@ OU_PEOPLE = 'ou=People,' + DEFAULT_SUFFIX
 LINKTYPE = 'directReport'
 MANAGEDTYPE = 'manager'
 
+
 class TopologyStandalone(object):
     def __init__(self, standalone):
         standalone.open()
@@ -183,30 +184,8 @@ def _48295_run(topology):
     log.info('PASSED')
 
 
-def _48295_final(topology):
-    log.info('All PASSED')
-
-
-def test_ticket48295(topology):
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation_prefix
-    installation_prefix = None
-
-    _48295_init(topology)
-
-    _48295_run(topology)
-
-    _48295_final(topology)
-
 if __name__ == '__main__':
     # Run isolated
     # -s for DEBUG mode
-
     CURRENT_FILE = os.path.realpath(__file__)
     pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48342_test.py b/dirsrvtests/tests/tickets/ticket48342_test.py
index 6dd5506..de0dea9 100644
--- a/dirsrvtests/tests/tickets/ticket48342_test.py
+++ b/dirsrvtests/tests/tickets/ticket48342_test.py
@@ -4,8 +4,7 @@ import time
 import ldap
 import logging
 import pytest
-from lib389 import DirSrv, Entry, tools, tasks
-from lib389.tools import DirSrvTools
+from lib389 import DirSrv, Entry
 from lib389._constants import *
 from lib389.properties import *
 from lib389.tasks import *
@@ -16,9 +15,10 @@ log = logging.getLogger(__name__)
 
 installation1_prefix = None
 
-PEOPLE_OU='people'
+PEOPLE_OU = 'people'
 PEOPLE_DN = "ou=%s,%s" % (PEOPLE_OU, SUFFIX)
-MAX_ACCOUNTS=5
+MAX_ACCOUNTS = 5
+
 
 class TopologyReplication(object):
     def __init__(self, master1, master2, master3):
@@ -188,6 +188,7 @@ def topology(request):
 
     return TopologyReplication(master1, master2, master3)
 
+
 def _dna_config(server, nextValue=500, maxValue=510):
     log.info("Add dna plugin config entry...%s" % server)
 
@@ -220,6 +221,7 @@ def _dna_config(server, nextValue=500, maxValue=510):
     server.start(timeout=120)
     time.sleep(3)
 
+
 def test_ticket4026(topology):
     """Write your replication testcase here.
 
@@ -310,9 +312,5 @@ def test_ticket4026(topology):
 if __name__ == '__main__':
     # Run isolated
     # -s for DEBUG mode
-#     global installation1_prefix
-#     installation1_prefix=None
-#     topo = topology(True)
-#     test_ticket4026(topo)
     CURRENT_FILE = os.path.realpath(__file__)
     pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48366_test.py b/dirsrvtests/tests/tickets/ticket48366_test.py
index 2ce4ccf..c785d30 100644
--- a/dirsrvtests/tests/tickets/ticket48366_test.py
+++ b/dirsrvtests/tests/tickets/ticket48366_test.py
@@ -32,6 +32,7 @@ SUBTREE_GREEN = "ou=green,%s" % SUFFIX
 SUBTREE_RED   = "ou=red,%s" % SUFFIX
 SUBTREES = (SUBTREE_GREEN, SUBTREE_RED)
 
+
 class TopologyStandalone(object):
     def __init__(self, standalone):
         standalone.open()
@@ -187,29 +188,8 @@ def test_ticket48366_search_dm(topology):
     assert (len(ents) == 0)
 
 
-def test_ticket48366_final(topology):
-    log.info('Testcase PASSED')
-
-
-def run_isolated():
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation_prefix
-    installation_prefix = None
-
-    topo = topology(True)
-    test_ticket48366_init(topo)
-
-    test_ticket48366_search_dm(topo)
-
-    test_ticket48366_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48497_test.py b/dirsrvtests/tests/tickets/ticket48497_test.py
index debe63f..3130fc4 100644
--- a/dirsrvtests/tests/tickets/ticket48497_test.py
+++ b/dirsrvtests/tests/tickets/ticket48497_test.py
@@ -16,16 +16,16 @@ log = logging.getLogger(__name__)
 
 installation1_prefix = None
 
-NEW_ACCOUNT    = "new_account"
-MAX_ACCOUNTS   = 20
+NEW_ACCOUNT = "new_account"
+MAX_ACCOUNTS = 20
 
-MIXED_VALUE="/home/mYhOmEdIrEcToRy"
-LOWER_VALUE="/home/myhomedirectory"
+MIXED_VALUE = "/home/mYhOmEdIrEcToRy"
+LOWER_VALUE = "/home/myhomedirectory"
 HOMEDIRECTORY_INDEX = 'cn=homeDirectory,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config'
-HOMEDIRECTORY_CN="homedirectory"
+HOMEDIRECTORY_CN = "homedirectory"
 MATCHINGRULE = 'nsMatchingRule'
 UIDNUMBER_INDEX = 'cn=uidnumber,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config'
-UIDNUMBER_CN="uidnumber"
+UIDNUMBER_CN = "uidnumber"
 
 
 class TopologyStandalone(object):
@@ -41,7 +41,7 @@ def topology(request):
         args_instance[SER_DEPLOYED_DIR] = installation1_prefix
 
     # Creating standalone instance ...
-    standalone = DirSrv(verbose=True)
+    standalone = DirSrv(verbose=False)
     if installation1_prefix:
         args_instance[SER_DEPLOYED_DIR] = installation1_prefix
     args_instance[SER_HOST] = HOST_STANDALONE
@@ -66,6 +66,7 @@ def topology(request):
 
     return TopologyStandalone(standalone)
 
+
 def test_ticket48497_init(topology):
     log.info("Initialization: add dummy entries for the tests")
     for cpt in range(MAX_ACCOUNTS):
@@ -78,12 +79,14 @@ def test_ticket48497_init(topology):
                                             'gidnumber': str(222),
                                             'homedirectory': "/home/tb_%d" % cpt})))
 
+
 def test_ticket48497_homeDirectory_mixed_value(topology):
     # Set a homedirectory value with mixed case
     name = "uid=%s1,%s" % (NEW_ACCOUNT, SUFFIX)
     mod = [(ldap.MOD_REPLACE, 'homeDirectory', MIXED_VALUE)]
     topology.standalone.modify_s(name, mod)
 
+
 def test_ticket48497_extensible_search(topology):
     name = "uid=%s1,%s" % (NEW_ACCOUNT, SUFFIX)
 
@@ -120,14 +123,13 @@ def test_ticket48497_homeDirectory_index_cfg(topology):
                                             'cn': HOMEDIRECTORY_CN,
                                             'nsSystemIndex': 'false',
                                             'nsIndexType': 'eq'})))
-#     log.info("attach debugger")
-#     time.sleep(60)
 
     IGNORE_MR_NAME='caseIgnoreIA5Match'
     EXACT_MR_NAME='caseExactIA5Match'
     mod = [(ldap.MOD_REPLACE, MATCHINGRULE, (IGNORE_MR_NAME, EXACT_MR_NAME))]
     topology.standalone.modify_s(HOMEDIRECTORY_INDEX, mod)
 
+
 def test_ticket48497_homeDirectory_index_run(topology):
     args = {TASK_WAIT: True}
     topology.standalone.tasks.reindex(suffix=SUFFIX, attrname='homeDirectory', args=args)
@@ -149,29 +151,8 @@ def test_ticket48497_homeDirectory_index_run(topology):
         log.info(line)
         assert 0
 
-def test_ticket48497(topology):
-    """Write your testcase here...
-
-    Also, if you need any testcase initialization,
-    please, write additional fixture for that(include finalizer).
-    """
-
-    log.info('Test complete')
-
-
 if __name__ == '__main__':
     # Run isolated
     # -s for DEBUG mode
-#     global installation1_prefix
-#     installation1_prefix = None
-#     topo = topology(True)
-#     test_ticket48497_init(topo)
-#
-#
-#     test_ticket48497_homeDirectory_mixed_value(topo)
-#     test_ticket48497_extensible_search(topo)
-#     test_ticket48497_homeDirectory_index_cfg(topo)
-#     test_ticket48497_homeDirectory_index_run(topo)
-
     CURRENT_FILE = os.path.realpath(__file__)
     pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/tickets/ticket48745_test.py b/dirsrvtests/tests/tickets/ticket48745_test.py
index ca888da..6ebe31e 100644
--- a/dirsrvtests/tests/tickets/ticket48745_test.py
+++ b/dirsrvtests/tests/tickets/ticket48745_test.py
@@ -66,6 +66,7 @@ def topology(request):
 
     return TopologyStandalone(standalone)
 
+
 def test_ticket48745_init(topology):
     log.info("Initialization: add dummy entries for the tests")
     for cpt in range(MAX_ACCOUNTS):
@@ -78,6 +79,7 @@ def test_ticket48745_init(topology):
                                             'gidnumber': str(222),
                                             'homedirectory': "/home/tbordaz_%d" % cpt})))
 
+
 def test_ticket48745_homeDirectory_indexed_cis(topology):
     log.info("\n\nindex homeDirectory in caseIgnoreIA5Match and caseExactIA5Match")
     try:
@@ -120,12 +122,14 @@ def test_ticket48745_homeDirectory_indexed_cis(topology):
         log.info(line)
         assert 0
 
+
 def test_ticket48745_homeDirectory_mixed_value(topology):
     # Set a homedirectory value with mixed case
     name = "uid=%s1,%s" % (NEW_ACCOUNT, SUFFIX)
     mod = [(ldap.MOD_REPLACE, 'homeDirectory', MIXED_VALUE)]
     topology.standalone.modify_s(name, mod)
 
+
 def test_ticket48745_extensible_search_after_index(topology):
     name = "uid=%s1,%s" % (NEW_ACCOUNT, SUFFIX)
 
@@ -159,15 +163,6 @@ def test_ticket48745_extensible_search_after_index(topology):
     log.info("Default: can retrieve an entry filter caseIgnoreIA5Match with lowered stored value")
     ent = topology.standalone.getEntry(SUFFIX, ldap.SCOPE_SUBTREE, "(homeDirectory:caseIgnoreIA5Match:=%s)" % LOWER_VALUE)
 
-def test_ticket48745(topology):
-    """Write your testcase here...
-
-    Also, if you need any testcase initialization,
-    please, write additional fixture for that(include finalizer).
-    """
-
-    log.info('Test complete')
-
 
 if __name__ == '__main__':
     # Run isolated
diff --git a/dirsrvtests/tests/tickets/ticket48746_test.py b/dirsrvtests/tests/tickets/ticket48746_test.py
index 038f1dd..401b300 100644
--- a/dirsrvtests/tests/tickets/ticket48746_test.py
+++ b/dirsrvtests/tests/tickets/ticket48746_test.py
@@ -184,30 +184,9 @@ def test_ticket48746_homeDirectory_indexed_ces(topology):
         log.info(line)
         assert not found
 
-def test_ticket48746(topology):
-    """Write your testcase here...
-
-    Also, if you need any testcase initialization,
-    please, write additional fixture for that(include finalizer).
-    """
-
-    log.info('Test complete')
-
 
 if __name__ == '__main__':
     # Run isolated
     # -s for DEBUG mode
-#     global installation1_prefix
-#     installation1_prefix = None
-#     topo = topology(True)
-#     test_ticket48746_init(topo)
-#
-#
-#     test_ticket48746_homeDirectory_indexed_cis(topo)
-#     test_ticket48746_homeDirectory_mixed_value(topo)
-#     test_ticket48746_extensible_search_after_index(topo)
-#     # crash should occur here
-#     test_ticket48746_homeDirectory_indexed_ces(topo)
-
     CURRENT_FILE = os.path.realpath(__file__)
     pytest.main("-s %s" % CURRENT_FILE)
